Sparse Namespace Reference
Classes and functions used to implement this library » Field classes under-the-hood

Namespace for sparse field specifics. More...

## Classes

struct | CheckAllEqual
| Checks if all the values in the SparseBlock are equal. Used by SparseField::releaseBlocks(). More...
struct | CheckMaxAbs
| Checks if all the absolute values in the SparseBlock are greater than some number. Useful for making narrow band levelsets Used by SparseField::releaseBlocks(). More...
class | SparseBlock
| Storage for one individual block of a SparseField. More...

## Functions

template<typename Data_T>
bool | isAnyLess (const Data_T &left, const Data_T &right)
template<>
bool | isAnyLess (const V3d &left, const V3d &right)
template<>
bool | isAnyLess (const V3f &left, const V3f &right)
template<>
bool | isAnyLess (const V3h &left, const V3h &right)

## Variables

template<typename Data_T>
boost::mutex | SparseBlock< Data_T >::ms_resizeMutex

## Detailed Description

Namespace for sparse field specifics.

## Function Documentation

## isAnyLess() [1/4]

template<typename Data_T>

bool Sparse::isAnyLess | ( | const Data_T & | left,
|  | const Data_T & | right )

inline

Definition at line 770 of file SparseField.h.

{
return (std::abs(left) < right);
}

Referenced by Sparse::CheckMaxAbs< Data_T >::check().

## isAnyLess() [2/4]

template<>

bool Sparse::isAnyLess | ( | const V3h & | left,
|  | const V3h & | right )

inline

Definition at line 778 of file SparseField.h.

{
return (std::abs(left.x) < right.x ||
std::abs(left.y) < right.y ||
std::abs(left.z) < right.z );
}

## isAnyLess() [3/4]

template<>

bool Sparse::isAnyLess | ( | const V3f & | left,
|  | const V3f & | right )

inline

Definition at line 788 of file SparseField.h.

{
return (std::abs(left.x) < right.x ||
std::abs(left.y) < right.y ||
std::abs(left.z) < right.z );
}

## isAnyLess() [4/4]

template<>

bool Sparse::isAnyLess | ( | const V3d & | left,
|  | const V3d & | right )

inline

Definition at line 798 of file SparseField.h.

{
return (std::abs(left.x) < right.x ||
std::abs(left.y) < right.y ||
std::abs(left.z) < right.z );
}

## Variable Documentation

## SparseBlock< Data_T >::ms_resizeMutex

template<typename Data_T>

boost::mutex Sparse::SparseBlock< Data_T >::ms_resizeMutex

Definition at line 656 of file SparseField.h.